Page MenuHomePhabricator

Remove backports from wikimedia-jessie
Closed, ResolvedPublic

Description

https://integration.wikimedia.org/ci/job/service-pipeline-test/861/console

<snip>
Step 5/25 : RUN apt-get update && apt-get install -y "python2.7" "git" "php5-cli" "build-essential" "ca-certificates" "openssl" "python2.7-dev" "python-openssl" "python-setuptools" "zlib1g-dev" "libjpeg-dev" && rm -rf /var/lib/apt/lists/*
 ---> Running in 5201526b4e71
Ign http://mirrors.wikimedia.org jessie InRelease
Get:1 http://apt.wikimedia.org jessie-wikimedia InRelease [47.1 kB]
Ign http://mirrors.wikimedia.org jessie-updates InRelease
Ign http://mirrors.wikimedia.org jessie-backports InRelease
Get:2 http://mirrors.wikimedia.org jessie Release.gpg [2420 B]
Ign http://mirrors.wikimedia.org jessie-updates Release.gpg
Ign http://mirrors.wikimedia.org jessie-backports Release.gpg
Get:3 http://security.debian.org jessie/updates InRelease [44.9 kB]
Get:4 http://mirrors.wikimedia.org jessie Release [148 kB]
Ign http://mirrors.wikimedia.org jessie-updates Release
Ign http://mirrors.wikimedia.org jessie-backports Release
Get:5 http://apt.wikimedia.org jessie-wikimedia/main amd64 Packages [187 kB]
Get:6 http://apt.wikimedia.org jessie-wikimedia/backports amd64 Packages [79.3 kB]
Err http://mirrors.wikimedia.org jessie-updates/main amd64 Packages
  404  Not Found
Err http://mirrors.wikimedia.org jessie-backports/main amd64 Packages
  404  Not Found
Get:7 http://apt.wikimedia.org jessie-wikimedia/thirdparty amd64 Packages [14.5 kB]
Err http://mirrors.wikimedia.org jessie-backports/contrib amd64 Packages
  404  Not Found
Get:8 http://mirrors.wikimedia.org jessie/main amd64 Packages [9098 kB]
Get:9 http://security.debian.org jessie/updates/main amd64 Packages [824 kB]
W: Failed to fetch http://mirrors.wikimedia.org/debian/dists/jessie-updates/main/binary-amd64/Packages  404  Not Found

W: Failed to fetch http://mirrors.wikimedia.org/debian/dists/jessie-backports/main/binary-amd64/Packages  404  Not Found

W: Failed to fetch http://mirrors.wikimedia.org/debian/dists/jessie-backports/contrib/binary-amd64/Packages  404  Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.
Fetched 10.4 MB in 4s (2533 kB/s)
[Pipeline] }
[Pipeline] // stage
[Pipeline] httpRequest (hide)
HttpMethod: POST
URL: https://gerrit.wikimedia.org/r/a/changes/mediawiki%2Ftools%2Fscap~498340/revisions/3/review
content-type: application/json
Using authentication: gerrit.pipelinebot
Sending request to url: https://gerrit.wikimedia.org/r/a/changes/mediawiki%2Ftools%2Fscap~498340/revisions/3/review
Response Code: HTTP/1.1 200 OK
Response: 
)]}'
{}

Success code from [200‥200]
[Pipeline] }
[Pipeline] // node
[Pipeline] End of Pipeline
Finished: FAILURE

Related:

Related Objects

StatusAssignedTask
Resolved Dzahn
Resolved Dzahn
OpenNone
OpenNone
OpenNone
ResolvedPaladox
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
OpenPaladox
ResolvedPaladox
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedhashar
Resolvedhashar
ResolvedTarrow
Resolvedhashar
ResolvedNone
ResolvedJoe
ResolvedJoe
OpenNone
OpenNone

Event Timeline

jijiki created this task.Mar 29 2019, 12:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2019, 12:17 AM
jijiki updated the task description. (Show Details)Mar 29 2019, 12:17 AM
jijiki renamed this task from service-pipeline-test jenkins job fails to service-pipeline-test jenkins job fails due to jessie-backports removal.Mar 29 2019, 12:21 AM
jijiki triaged this task as Normal priority.Mar 29 2019, 12:24 AM
jijiki updated the task description. (Show Details)
jijiki updated the task description. (Show Details)Mar 29 2019, 12:27 AM
jijiki updated the task description. (Show Details)
greg edited subscribers, added: greg; removed: Release Pipeline (Blubber), Release-Engineering-Team.

Does the wikimedia-jessie base image need to be updated?

jbond added a subscriber: jbond.Mar 29 2019, 2:06 PM
Joe added a subscriber: Joe.Mar 29 2019, 2:38 PM

Change 500054 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] docker::baseimages: remove backports from jessie

https://gerrit.wikimedia.org/r/500054

Joe renamed this task from service-pipeline-test jenkins job fails due to jessie-backports removal to Remve backports from wikimedia-jessie.Mar 29 2019, 2:46 PM
Joe claimed this task.

Change 500054 merged by Giuseppe Lavagetto:
[operations/puppet@production] docker::baseimages: remove backports from jessie

https://gerrit.wikimedia.org/r/500054

Change 500069 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] jessie-backports: remove updates from jessie bootstrap-vz config

https://gerrit.wikimedia.org/r/500069

Aklapper renamed this task from Remve backports from wikimedia-jessie to Remove backports from wikimedia-jessie.Mar 29 2019, 4:19 PM
Joe added a comment.Mar 29 2019, 4:43 PM

This is harder than expected, as bootstrap-vz automatically adds {release}-updates to /etc/apt/sources.list, see https://github.com/andsens/bootstrap-vz/blob/v0.9.10/bootstrapvz/common/tasks/apt.py#L37

This means we need to modify and repackage bootstrap-vz to support this case, where -updates is not available anymore.

I'll get to it on monday, as I don't think we need emergency releases over the weekend.

For people who need to, I'd add a line to your dockerfile removing the offending lines from the apt configuration.

Mentioned in SAL (#wikimedia-operations) [2019-04-01T06:27:17Z] <_joe_> installing new bootstrap-vz on boron T219580

Mentioned in SAL (#wikimedia-operations) [2019-04-01T06:28:38Z] <_joe_> pushing wikimedia-jessie:{20190401,latest} to docker-registry.w.o T219580

Joe added a comment.Apr 1 2019, 6:36 AM

Just confirmed the bug is fixed by re-doing the same CI task

https://integration.wikimedia.org/ci/job/service-pipeline-test/898/console

Joe closed this task as Resolved.Apr 1 2019, 6:36 AM

Change 500069 abandoned by Jbond:
jessie-backports: remove updates from jessie bootstrap-vz config

Reason:
invalid: updates still gets added

https://gerrit.wikimedia.org/r/500069